﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication1.Models
{
    public class ProductList
    {

        private List<Product> ProductsList;

        public void UpdateProduct(Product prod)
        {
            foreach (Product p in ProductsList)
            {
                if (p.ProductID == prod.ProductID)
                {
                    p.Name = prod.Name;
                    p.ProductNumber = prod.ProductNumber;
                    break;
                }
            }
        }

        public void AddProduct(Product prod)
        {
            ProductsList.Add(prod);
        }

        public void DeleteProduct(int ProductId)
        {
            foreach (Product p in ProductsList)
            {
                if (p.ProductID == ProductId)
                {
                    ProductsList.Remove(p);
                    break;
                }
            }
        }

        public IQueryable<Product> GetProductList()
        {
            return ProductsList.AsQueryable<Product>();
        }

        public ProductList()
        {
            //List<Product> 
            ProductsList = new List<Product>();

            for (int i = 0; i < 50; i++)
            {
                Product product = new Product();
                product.ProductID = i;
                product.Name = string.Format("Name {0}", i);
                product.ProductNumber = string.Format("Product Num {0}", i);

                ProductsList.Add(product);
            }
        }
    
}
}